Subject: bug#47784: 27.2: ses-header-row [PATCH INCLUDED]

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Apr 2021 22:30:08 +0300

> Date: Wed, 14 Apr 2021 23:31:47 -0400
> From: Boruch Baum <[email-masked]>
> 
> Two patch files are attached.
> 
> + ses-header-row.patch
> 
>   + Function `ses-set-header-row' was determining the current row based
>     upon variable `ses--curcell', but that variable is NIL until one
>     begins an operation on a cell (eg. keybindings '=', '"'), so
>     navigating to a row was insufficient to select that row, and further
>     generated an ERROR because the code was not expecting a NIL value for
>     variable `ses--curcell'
> 
>   + Using function `user-error' instead of `error' doesn't spawn a
>     debug session and backtrace buffer when variable
>     `toggle-debug-on-error' is set.
> 
> + ses-user-error.patch
> 
>   + Quasi-randomly replaces some calls to function `error' with
>     `user-error'.
> 
>   + There could be many other desirable points of replacement, but these
>     were some obvious ones, and without knowing whether the patch would
>     be accepted at all, it's what I invested.

Thanks, but I don't think I understand the rationale for the second
patch.  What is the problem with signaling an error in those two
places?